plugins {
    id 'com.android.library'
}

android {
    compileSdkVersion 33

    defaultConfig {
        minSdkVersion 14
    }
    //这里就是打jar包
    task makeJar(type: Copy) {
        //删除旧的jar包
        delete 'build/libs/sobot_picture_1.1.4.jar'
        //原地址
        from('build/intermediates/packaged-classes/release/')
        //导出jar包的地址
        into('build/libs/')
        //包含的jar包
        include('classes.jar')
        //重命名jar包为mysdk
        rename ('classes.jar', 'sobot_picture_1.1.4.jar')
    }
    makeJar.dependsOn(build)

    lintOptions{ abortOnError false }
}

dependencies {
    compileOnly 'androidx.legacy:legacy-support-v4:1.0.0'
    compileOnly 'com.nostra13.universalimageloader:universal-image-loader:1.9.5'
    compileOnly 'com.github.bumptech.glide:glide:3.8.0'
    compileOnly 'com.squareup.picasso:picasso:2.8'
    compileOnly 'com.facebook.fresco:fresco:2.6.0'
    api 'com.sobot.chat:sobotsupport-glidev4:3.1'
}

//添加发布到mavenCentral脚本
apply from: './sobot-picture-publish-mavencentral.gradle'